
;******************************************************************************
;   
;UART: pd0 - Rx, pd1 - Tx
;******************************************************************************
;      ATMega 8
		.include "m8def.inc"
;******************************************************************************
;    (EEROM)

	.eseg
;  . 18  !!! 
zy1:						.byte 1				;  
zx1:						.byte 1				;   OX,     

zy2:						.byte 1				;    ( )
zx2:						.byte 1				;   OX,   

zy3:						.byte 1				
zx3:						.byte 1			

zy4:						.byte 1			
zx4:						.byte 1				

zy5:						.byte 1				
zx5:						.byte 1				

zy6:						.byte 1
zx6:						.byte 1

zy7:						.byte 1
zx7:						.byte 1

zy8:						.byte 1
zx8:						.byte 1

zy9:						.byte 1
zx9:						.byte 1

zy10:						.byte 1
zx10:						.byte 1

zy11:						.byte 1
zx11:						.byte 1

zy12:						.byte 1
zx12:						.byte 1

zy13:						.byte 1
zx13:						.byte 1

zy14:						.byte 1	
zx14:						.byte 1

zy15:						.byte 1
zx15:						.byte 1

zy16:						.byte 1
zx16:						.byte 1

zy17:						.byte 1
zx17:						.byte 1

zy18:						.byte 1					;	 					
zx18:						.byte 1					;	 


holostoi_hod:			.byte 1	 ;    (     )
stehiom_coff:			.byte 1  ;    / ( -)
progrev_holostoi:		.byte 1	 ;     
chislo_cylindrov:		.byte 1	 ;   ,  -  ,   
sektor:					.byte 2  ;     
temp_progreva:			.byte 1  ;    



;******************************************************************************		
;    () 
		.dseg
prohod_holl:				.byte 1			//    
otstav_UOZ: 				.byte 1			//      
massa_benz: 			.byte 1			//   
vremya_forsunki:			.byte 1			//    

				;  

acp_DPDZ:					.byte 1			;     
acp_DMRV:					.byte 1			;      
acp_LYAMBDA_ZOMD:			.byte 1			;   
acp_TEMP:					.byte 1			;  


trig_1:						.byte 1			;  1
trig_2:						.byte 1			;  2
trig_3:						.byte 1			;  3



;******************************************************************************
;    ()
		.cseg

;******************************************************************************
;    
		.org 0
		rjmp ini

;******************************************************************************
;
;******************************************************************************
	ini:
;  
.def	data					=r16
.def	data_2					=r17
.def	triggers				=r18
.def	data_3					=r19

;******************************************************************************
; 
	
	ldi		data,low(RAMEND)             
	out		SPL,data

	ldi		data,high(RAMEND) 
	out		SPH,data


	
	ldi data, 0b10000011		; . , . .,  , /8 (125 kHz)
	out ADCSR, data

	ldi data, 0b01101110		; AVcc, . .  Aref, .  . , channel 1.23V bg
	out ADMUX, data


;******************************************************************************
; -   
;******************************************************************************
				

start:			
	
	rcall zn_temp				;    
	lds data, acp_temp			;   
	lds data_2, temp_progreva   ;   
	cp data, data_2				;      
	brlo starting1	;    ,     

	rcall knopki				;    
	rjmp norm_rejim				;       
								;     

starting1:		; 
	rjmp starting	;    		






;******************************************************************************
;  
		.include "UOZ.asm"				;     
		.include "dmrv.asm"				;      
		.include "dpdz.asm"				;      
		.include "lyambda_zond.asm" 	;     
		.include "temp.asm" 			;      
		.include "econom.asm"			;    
		.include "sport.asm"			;   
		.include "knopki.asm"			;      
  		.include "starting.asm"			;    (  )
		.include "forsunka.asm"
		.include "start.asm"

	//	.include "Uart.asm"
